Bug 50550 - rpm -i --prefix <path> <xxx.rpm> error! (ver 4.0.2)
rpm -i --prefix <path> <xxx.rpm> error! (ver 4.0.2)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-31 23:34 EDT by Xuan Li
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-31 23:34:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xuan Li 2001-07-31 23:34:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
Install a relocatable package with command:
    'rpm -i --prefix /home/lix abcde.rpm' on Red Hat 7.1
Got an error message:
    'Error: can't unlink homelix-RPMDELETE: Is a directory.'
Install failed.  RPM version on rh7.1 is 4.0.2.
Use the same command on Red Hat 7.0.  Install successfully. RPM version on 
rh7.0 is 4.0.

How reproducible:
Always

Steps to Reproduce:
1.Find a relocatable package, for example: abcde.rpm
2.Create directory '/home/lix' and give properly priviledge.
3.run 'rpm -i --prefix /home/lix abcde.rpm' on Red Hat 7.1.
4.Error occurs.
	

Actual Results:  Error messages:
    'Error: can't unlink homelix-RPMDELETE: Is a directory.'

Expected Results:  Install successfully to directory /home/lix.

Additional info:
Comment 1 Jeff Johnson 2001-08-01 08:32:41 EDT
Yup, relocations were broken in rpm-4.0.2.

Try rpm-4.0.3 from Raw Hide, or ftp://ftp.rpm.org/pub/rpm/test-4.0.3

Note You need to log in before you can comment on or make changes to this bug.